* {
    margin: 0;
    padding: 0;
    box-sizing: border-box;
  }
  
body{
  background: #f3edee;
}

/* ----- header ------- */
  .header {
    position: relative;
    text-align: center;
    padding: 2rem;
    color:#0e275c;
    box-shadow: 0 2px 5px rgba(0,0,0,0.5);
  }
  
/* ----- header text------- */
  .header h1 {
    font-size: 3rem;
    font-weight: 400;
  }

/* ----- header back button------- */
.back-section {
  position: absolute;
  top: 35%;
  left: 5%;
  display: flex;
  align-items: center;
  text-decoration: none;
  color: #0e275c;
  font-size: 1.8rem;
  transition: transform 0.2s ease, color 0.2s ease;
}

.back-section:hover {
  color: #00aeff;
  transform: scale(1.1);
}

.back-section img {
  width: 28%;
  /* height: 20%; */
  margin-right: 8px;
  transition: transform 0.2s ease;
}

.back-section p {
  font-weight: 200;
  margin: 0;
}

  
/* ----- Gallery ------- */
.gallery {
  display: flex;
  flex-direction: column;
  align-items: left;
  padding: 1% 1%;
  
}
  
 /* ----- Row ------- */
.row {
  display: flex;
  align-items: center;
  width: 100%;
  height: 50vh;
  margin: 2% 3%;
}

 /* ----- Row wrapper ------- */
.row-wrapper {
  width: 100%;
  border-bottom: 2px dotted #000000;
}

.row-wrapper:last-child {
  border-bottom: none;
}

 /* ----- Image and arrow 30% ------- */
.image-arrow-wrapper {
  position: relative;
  width: 30%;
  height: 100%;
  display: flex;
  align-items: center;
  justify-content: center;
}

 /* ----- Image ------- */
.image-container {
  width: 90%; 
  height: 90%; 
  display: flex;
  align-items: center;
  justify-content: center;
  overflow: hidden;
}

.image-container img {
  max-width: 100%;
  max-height: 100%;
  object-fit: contain;
  box-shadow: 0px 4px 8px rgba(0, 0, 0, 0.5);
}

.painting-image {
  display: none;
}

.painting-image.active {
  display: block;
}

 /* ----- arrow ------- */
.arrow-button {
  background: none;
  border: none;
  cursor: pointer;
  z-index: 10;
  position: absolute;
  top: 50%;
  /* left: 5%; */
  transform: translateY(-50%);
}

.left-arrow {
  left: -15px;
}

.right-arrow {
  right: -15px;
}

.arrow-button img {
  width: 30px;
  height: 30px;
}

/* Text Container (Fixed 70% Width) */
.text-container {
  width: 70%;
  padding: 0 2%;
  
}

.text-container h1 {
  font-size: 1.8rem;
  margin-bottom: 0.5rem;
  color: #0e275c;
}

.text-container p {
  font-size: 1.5rem;
  line-height: 1.6;
  text-align: justify;
  color: #0e275c;
}


/* ----- zoomed picture----- */
.modal {
  display: none; /* Hidden by default */
  position: fixed;
  z-index: 1000;
  left: 0;
  top: 0;
  width: 100%;
  height: 100%;
  background-color: rgba(0, 0, 0, 0.8); /* Semi-transparent black background */
  align-items: center;
  justify-content: center;
}

.modal-content {
  width: 75vw;
  max-height: 75vh;
  object-fit: contain;
  border-radius: 8px;
  box-shadow: 0px 4px 8px rgba(0, 0, 0, 0.5);
}

/* ----- close button ----- */
.close-button {
  position: absolute;
  top: 10px;
  right: 10px;
  cursor: pointer;
}

.close-button img {
  width: 30px;
  height: 30px;
}

  

/* ============================== Mobile ============================== */
@media (max-width: 768px) {
/* ----- header ------- */
  .header {
    padding: 6%;
  }

  .header h1 {
    font-size: 1.5rem;
  }

  /* ----- header back button------- */
  .back-section {
    top: 35%;
    left: 5%;
    font-size: 1rem;
    transition: transform 0.2s ease, color 0.2s ease;
  }

  .back-section img {
    width: 18%;
    margin-right: 1%;
    transition: transform 0.2s ease;
  }


   /* ----- Gallery ------- */
   .gallery {
    padding: 0% 2%;
    overflow-x: hidden;
  }

   /* ----- Row ------- */
  .row {
    /* flex-direction: column; */
    align-items: center;
    width: 100%;
    height: 30vh;
    margin: 0 5%;
  }

  /* ----- Row wrapper ------- */
  .row-wrapper {
    width: 100%;
    border-bottom: 1px solid #0e275c;
  }

  /* ----- Image and arrow ------- */
  .image-arrow-wrapper {
    width: 40%;
    height: 100%;
  }
  
  /* Text Container (Fixed 70% Width) */
  .text-container {
    width: 60%;
    padding: 0% 5%;
    color: #333;
  }

  .text-container h1 {
    font-size: 1.2rem;
    margin-bottom: 2%;
  }
  
  .text-container p {
    font-size: 1rem;
    line-height: 1.6;
    text-align: left;
  }

}
  

/* ============================== Ipad ============================== */
@media (min-width: 769px) and (max-width: 1024px) {
  /* ----- header ------- */
  .header {
    padding: 3%;
  }

  .header h1 {
    font-size: 2.5rem;
  }

  /* ----- header back button------- */
  .back-section {
    top: 35%;
    left: 5%;
    font-size: 1.4rem;
    transition: transform 0.2s ease, color 0.2s ease;
  }

  .back-section img {
    width: 3.5%;
    margin-right: 8px;
    transition: transform 0.2s ease;
  }

    /* ----- Gallery ------- */
    .gallery {
    padding: 0% 2%;
    overflow-x: hidden;
  }

    /* ----- Row ------- */
    .row {
    /* flex-direction: column; */
    align-items: center;
    width: 100%;
    height: 35vh;
    margin: 0 5%;
  }
  
  /* ----- Row wrapper ------- */
  .row-wrapper {
    width: 100%;
    border-bottom: 1px solid #0e275c;
  }

  /* ----- Image and arrow ------- */
  .image-arrow-wrapper {
    width: 40%;
    height: 100%;
    
  }
  
  /* Text Container (Fixed 70% Width) */
  .text-container {
    width: 60%;
    padding: 0% 8%;
    color: #333;
  }

  .text-container h1 {
    font-size: 1.5rem;
    margin-bottom: 2%;
  }
  
  .text-container p {
    font-size: 1.2rem;
    line-height: 1.6;
    text-align: left;
  }
  
  
}